std::uniform_int_distribution< _IntType >(3)

NAME
std::uniform_int_distribution< _IntType > -

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _IntType result_type

  Public Member Functions
uniform_int_distribution (_IntType __a=0, _IntType __b=std::numeric_limits< _IntType >::max())
uniform_int_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type a () const
result_type b () const
result_type max () const
result_type min () const
template<typename _UniformRandomNumberGenerator > uniform_int_distribution
< _IntType >::result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__param)"
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
void param (const param_type &__param)
void reset ()

  Friends
bool operator== (const uniform_int_distribution &__d1, const uniform_int_distribution &__d2)

Detailed Description

  template<typename _IntType = int>class std::uniform_int_distribution< _IntType >
Uniform discrete distribution for random numbers. A discrete random distribution on the range $[min, max]$ with equal probability throughout the range.

Definition at line 1666 of file random.h.

Member Typedef Documentation

  template<typename _IntType = int> typedef _IntType std::uniform_int_distribution< _IntType >::result_type
The type of the range of the distribution.

Definition at line 1669 of file random.h.

Constructor & Destructor Documentation

  template<typename _IntType = int> std::uniform_int_distribution< _IntType >::uniform_int_distribution (_IntType__a = 0, _IntType__b = std::numeric_limits<_IntType>::max()) [inline], [explicit]

Constructs a uniform distribution object.

Definition at line 1709 of file random.h.

Member Function Documentation

  template<typename _IntType = int> result_type std::uniform_int_distribution< _IntType >::max () const [inline]

Returns the inclusive upper bound of the distribution range.

Definition at line 1761 of file random.h.

  template<typename _IntType = int> result_type std::uniform_int_distribution< _IntType >::min () const [inline]

Returns the inclusive lower bound of the distribution range.

Definition at line 1754 of file random.h.

  template<typename _IntType = int> template<typename _UniformRandomNumberGenerator > result_type std::uniform_int_distribution< _IntType >::operator() (_UniformRandomNumberGenerator &__urng) [inline]

Generating functions.

Definition at line 1769 of file random.h.

  template<typename _IntType = int> param_type std::uniform_int_distribution< _IntType >::param () const [inline]

Returns the parameter set of the distribution.

Definition at line 1739 of file random.h.

Referenced by std::operator>>().

  template<typename _IntType = int> void std::uniform_int_distribution< _IntType >::param (const param_type &__param) [inline]

Sets the parameter set of the distribution.

Parameters:
    __param The new parameter set of the distribution.

Definition at line 1747 of file random.h.

  template<typename _IntType = int> void std::uniform_int_distribution< _IntType >::reset () [inline]

Resets the distribution state. Does nothing for the uniform integer distribution.

Definition at line 1725 of file random.h.

Friends And Related Function Documentation

  template<typename _IntType = int> bool operator== (const uniform_int_distribution< _IntType > &__d1, const uniform_int_distribution< _IntType > &__d2) [friend]

Return true if two uniform integer distributions have the same parameters.

Definition at line 1804 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.